petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecNestSetSubVecs

Sets the component vectors at the specified indices in a nest vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecNestSetSubVecs(Vec X,PetscInt N,PetscInt *idxm,Vec *sx)

Not collective Many br

### Input Parameters

| X | - nest vector Many br
| N | - number of component vecs in sx Many br
| idxm | - indices of component vecs that are to be replaced Many br
| sx | - array of vectors Many br

### Notes

The components in the vector array sx do not have to be of the same size as corresponding Many brcomponents in X. The user can also free the array "sx" after the call. Many br

Many br

### See Also

VecNestGetSize(), VecNestGetSubVec()

Level:developer
Location:src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages